Get a contact
curl --request GET \
--url https://api.morphic.io/api/contacts/{contact_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.morphic.io/api/contacts/{contact_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.morphic.io/api/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"emails": "<string>",
"phones": "<string>",
"mobile_phone": "<string>",
"job_title": "<string>",
"department": "<string>",
"linkedin_url": "<string>",
"twitter_url": "<string>",
"twitter_handle": "<string>",
"facebook_url": "<string>",
"instagram_url": "<string>",
"description": "<string>",
"address": "<string>",
"location": {},
"metadata": {},
"enrichment": {},
"enrichment_provider": "<string>",
"enrichment_last_updated": "2023-11-07T05:31:56Z",
"enrichment_status": "<string>",
"last_interaction": "2023-11-07T05:31:56Z",
"date_of_birth": "2023-12-25",
"notes": "<string>",
"categories": [
"<string>"
],
"company_id": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"custom_fields": {},
"associated_deal_ids": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"name": "<string>",
"is_favorite": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Contacts
Get a contact
Retrieve a specific contact by ID.
GET
/
api
/
contacts
/
{contact_id}
Get a contact
Authorizations
API key (sk_xxx) from Developer Settings. No X-Account-ID needed.
Headers
Path Parameters
Response
Successful Response
Maximum string length:
150Maximum string length:
150Maximum string length:
300Company with id and name
Show child attributes
Show child attributes
Associated deals with id and name
Show child attributes
Show child attributes
Whether this record is favorited by the current user